CertSecure Documentation
  • Overview
    • About CertSecure Manager
    • Documentation Guide
  • Reference Guide
    • Header Bar
      • CertSecure Documentation
      • Swagger API
      • Profile Section
      • Search
    • Dashboard
      • Key Performance Indicators
      • Expiring Certificates
      • CA metrics
      • Key Strength
      • Signing Algorithm
      • Certificate Risk Report Profile
      • PKI Posture Management
      • NDES Health Information
    • AI Assistant
      • Chat
      • Configuration
      • Usage Report
    • Inventory
      • Overview
        • Overall
        • CertSecure
      • Template Management
        • Switch Templates
        • Exclusion List
        • Alert Templates
        • Certificate Templates
      • Template Categories
    • Discovery
      • Inventory
      • Scan Config
      • Cloud Config
      • Vault Config
      • Discovery Analytics
      • Scan Details
      • Discovery Ingestion
    • Reports
    • Utilities
      • ACME
      • Tasks
      • Integrations
        • Renewal Manager
        • Load Balancers
        • Discovery Agents
        • CLI Tool
        • Key Management
        • SEIM Tools
        • DevOps Tools
        • Ansible Automation Platform
      • NDES
      • Azure Key Vault
      • API Tokens
    • Enrollment
      • Certificate Request
      • Generate CSR
      • Enroll CSR
      • Generate Certificate
      • Import Certificate
      • Bulk Certificate Generation
      • Manage Policies
      • Organization Details
    • Administration
      • Users
      • Roles and permission
      • Certificate Authorities
      • Departments
    • Miscellaneous
      • Logging
      • Service Setup
        • Zoom
        • Zendesk
      • Settings
        • Configure Realms
        • Schedule Alerts
        • Metrics
        • Web Branding
        • About License
  • Setup & Architecture
    • Identity and Access Control
    • Architecture
    • Installation
      • Pre-requisites
      • Windows
      • Linux
      • Docker
    • Upgrade
      • Windows
      • Docker
  • Release Notes
    • Releases for 2026
      • v3.4.0
      • v3.3.1
      • v3.3.0
    • Releases for 2025
      • v3.2.0
      • v3.1.0
    • Releases for 2024
      • v3.0.0
  • Workflow
    • Approval Workflow
  • API Reference
    • Getting Started
    • Authorizing Requests
    • Securing API Access
    • Request and Response Conventions
    • Endpoint Reference
      • Health
      • API Token Management
      • CA Management
      • Templates
      • Certificate Enrollment
      • Inventory
      • Certificate Discovery
      • Tasks
      • Watcher Groups
      • Alerts
      • Reports
      • Logs
      • Monitoring
      • Scheduling
      • SMTP
      • ACME
      • Azure Key Vault
      • Google Cloud (GCP)
      • HashiCorp Vault
      • EJBCA
      • ServiceNow
  • Integration Guide
    • Renewal Manager
      • Workflow
      • Setup
      • Troubleshooting
      • IIS
      • Apache
      • Tomcat
      • Nginx
      • MSSQL
      • MongoDB
      • Oracle
      • Cloudflare
      • AudioCodes
      • Cisco ISE
      • Palo Alto PAN-OS
      • Cisco ACI
    • Load Balancer
      • F5
        • Workflow
        • Setup
        • Onboarding
        • UI Guide
        • Troubleshooting
      • NetScaler
        • Workflow
        • Setup
        • UI Guide
        • Troubleshooting
    • Certificate Authorities
      • ACME CAs
      • AWS
      • DigiCert Connector
      • EJBCA
      • GlobalSign
      • GoDaddy
      • HashiCorp Vault PKI
      • Microsoft AD CS
      • Sectigo
      • Sectigo-PS
    • Ansible Automation Platform
    • Azure Key Vault
  • Discovery Agent Setup Guide

API Token Management

The API Token Management endpoints create, refresh, list, revoke, and delete the API tokens that are used to authenticate to the CertSecure Manager API.

For the corresponding user interface, refer to the Utilities > API Tokens section.

Endpoints

Method Endpoint Description
GET /delete_api_token Delete API token.
GET /generate_api_token Generate API token.
GET /get_api_token List API tokens.
GET /get_api_token_info Get API token info.
GET /revoke_api_token Revoke API token.
GET /delete_api_token

Permanently deletes a revoked API token.

Note: A token must be revoked with GET /revoke_api_token before it can be deleted.

Request Parameters

Name Located In Type Required Description
token_id Query string Yes Name (identifier) of the API token.

Example Request

curl -X GET "https://<certsecure-backend-url>/delete_api_token?token_id=<token_id>" \
  -H "Authorization: Bearer <token>"

Responses

Status Code Description
200 The resource was deleted.
400 Token not revoked.
404 Token not found.
GET /generate_api_token

Generates a new API token, or refreshes an existing token when refresh is set to true.

Request Parameters

Name Located In Type Required Description
token_id Query string Yes Token name / identifier.
expiry Query integer No Validity in days.
trust Query string No Trusted IPs / origins.
role Query string No -
notes Query string No -
refresh Query string No true to refresh existing token.

Example Request

curl -X GET "https://<certsecure-backend-url>/generate_api_token?token_id=<token_id>" \
  -H "Authorization: Bearer <token>"

Responses

Status Code Description
200 Token created.
400 Invalid parameters.
401 Unauthorized.
GET /get_api_token

Lists the API tokens visible to the caller, with their status, validity, refresh setting, and creator.

Request Parameters

Name Located In Type Required Description
role Query string No -

Example Request

curl -X GET "https://<certsecure-backend-url>/get_api_token" \
  -H "Authorization: Bearer <token>"

Example Response

[
    {
        "Token_id": "automation-token",
        "type": "API",
        "Status": "Active",
        "Refresh": true,
        "Trust": false,
        "ExpiryDays": 30,
        "Created_by": "[email protected]",
        "Created_on": "09/01/2026 18:07:13",
        "Valid_till": "10/01/2026 18:07:13",
        "Notes": "",
        "Token": "eyJhbGciOiJSUzI1NiIsInR5cCI6IkpXVCJ9..."
    }
]

Responses

Status Code Description
200 Tokens.
GET /get_api_token_info

Returns the details of one API token.

Request Parameters

Name Located In Type Required Description
token_id Query string Yes Name (identifier) of the API token.

Example Request

curl -X GET "https://<certsecure-backend-url>/get_api_token_info?token_id=<token_id>" \
  -H "Authorization: Bearer <token>"

Responses

Status Code Description
200 Token info.
404 The resource was not found.
GET /revoke_api_token

Revokes an API token so that it can no longer be used. A token must be revoked before it can be deleted.

Request Parameters

Name Located In Type Required Description
token_id Query string Yes Name (identifier) of the API token.

Example Request

curl -X GET "https://<certsecure-backend-url>/revoke_api_token?token_id=<token_id>" \
  -H "Authorization: Bearer <token>"

Responses

Status Code Description
200 Revoked.
404 Token not found.
On this Page:
Support Privacy Policy Terms of Service

Copyright 2026 Encryption Consulting LLC. All rights reserved.